%global dlrn_nvr 10.0.2-0.20180815204716.f04aa34
%global dlrn 1
%define upstream_version 10.0.2-rc0
%{!?upstream_version: %global upstream_version %{commit}}
%define upstream_name puppet-collectd
%global commit fa31d4d443cc056e9d89cd6967a0694747132b75
%global shortcommit %(c=%{commit}; echo ${c:0:7})
# DO NOT REMOVE ALPHATAG
%global alphatag .%{shortcommit}git


Name:           puppet-collectd
Version: 10.1.0
Release: 6%{?dist}
Summary:        Puppet module for Collectd
License:        ASL 2.0

URL:            https://github.com/voxpupuli/%{upstream_name}

Source0: https://github.com/voxpupuli/%{upstream_name}/archive/v10.1.0.tar.gz#/%{name}-%{version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=10.1.0
Patch0001: 0001-RegexProcess-has-been-renamed-during-collectd.patch
Patch0002: 0002-Add-support-for-Header-and-Metrics-configuration.patch
Patch0003: 0003-Add-options-to-limit-the-send-queue-length.patch
Patch0004: 0004-Create-processess-plugin-type-configuration-on-RedHa.patch

# RegexProcess has been renamed during collectd review

BuildArch:      noarch

Requires:       puppet-stdlib
Requires:       puppet-concat
Requires:       puppet >= 2.7.0

%description
Puppet module for Collectd

%prep
%autosetup -p1 -n %{name}-%{version}

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/collectd/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/collectd/



%files
%{_datadir}/openstack-puppet/modules/collectd/


%changelog
* Tue Dec 08 2020 Martin Mágr <mmagr@redhat.com> - 10.1.0-6
- Create processess plugin type configuration on RedHat (rhbz#1884478)

* Thu Aug 20 2020 Matthias Runge <mrunge@redhat.com> - 10.1.0-5
- add option for amqp1 SendQueueLimit (rhbz#1861716)

* Mon Jun 29 2020 Miguel Garcia <mgarciac@redhat.com> 10.1.0-4
- Add support for Header and Metrics configuration

* Wed Dec 04 2019 Matthias Runge <mrunge@redhat.com> - 10.1-0-3
- procevent config has been renamed during upstreaming
  (rhbz#1776776)

* Fri Oct 18 2019 Matthias Runge <mrunge@redhat.com> - 10.1.0-2
- add dist tag to release (rhbz#1763184)

* Fri Oct 18 2019 Matthias Runge <mrunge@redhat.com> - 10.1.0-1
- rebase to 10.1.0 (rhbz#1763184)
